Subject: Re: bug#10178: 24.0.92; emacs -q frame too short for fancy splash image

From: Juri Linkov <[email-masked]>
Date: Thu, 15 Dec 2011 23:27:17 +0200

>> So I guess Emacs does the right thing after all.  However, we could think
>> about changing the condition for showing the splash image or shrinking the
>> splash image or reduce the amount of text.
>
> I think slightly shrinking the image -- either unconditionally or
> conditioned on the value of image-height? -- would be fine.  Or, as I
> noted earlier, I also get the image if frame-height is 36 instead of the
> current default of 35.

Shrinking the image would require ImageMagick that is not always available.
But I think not showing the image would be better, and this is already possible
by calling the fancy function with the argument `concise' equal to t.

> However, this also results in the final two lines of the splash screen
> -- "If an Emacs session crashed recently, type Meta-x recover-session
> RET to recover the files you were editing." -- not being visible
> initially.  Maybe this sentence should come earlier.

When I run Emacs with `-geometry 80x42' then the final *five* lines
are not visible.  The calculations are wrong because they can't account
for variable-height fonts used on the splash screen.